<div class="card-container">
  <form [formGroup]="jeForm">
    <mat-card>
        <mat-card-title *ngIf="!journalEntryTransactionId">New Journal Entry</mat-card-title>
      <mat-card-title *ngIf="journalEntryTransactionId">Journal Entry ID : {{ journalEntryTransactionId }}</mat-card-title>
      <mat-card-content style="padding-top: 1em" fxLayout="column">
      
    
      </mat-card-content>
    </mat-card>
  </form>
  
  <div  class="example-container mat-elevation-z8">
    <div class="example-header">
        <mat-form-field>
          <input matInput #filter (keyup)="applyFilter($event.target.value)" placeholder="Filter">
          <button mat-button matSuffix (click)="filter.value=''; applyFilter('');">
              <mat-icon>search</mat-icon>
            </button>
        </mat-form-field>
      </div>
      <button *ngIf="!journalEntryTransactionId" mat-button matSuffix (click)="addRow()">
        <mat-icon>add</mat-icon>
      </button>
        <!-- <button (click) = "addRow()"> addrow </button> -->
    <mat-table #table [dataSource]="dataSource">
  
      <!-- Position Column -->
    <ng-container matColumnDef="account">
        <mat-header-cell *matHeaderCellDef> A/C. No. </mat-header-cell>
        <mat-cell *matCellDef="let element">
          <mat-form-field floatLabel="never">
            <mat-select [(value)]="element.account" [disabled]="journalEntryTransactionId" placeholder="account">
              <mat-option  *ngFor="let account of (dropDownData | async)" [value]="account.accountNumber">{{account.accountNumber}} </mat-option>
             </mat-select>
          </mat-form-field>
        </mat-cell>
      </ng-container>
  
      <!-- Name Column -->
      <ng-container matColumnDef="amount">
        <mat-header-cell *matHeaderCellDef> Amount </mat-header-cell>
        <mat-cell *matCellDef="let element">
          <mat-form-field floatLabel="never">
            <input
              matInput placeholder="Amount"
              [value]="element.amount"
              [(ngModel)]="element.amount" [readonly]="journalEntryTransactionId"
              type="number">
          </mat-form-field>
        </mat-cell>
      </ng-container>
  
      <!-- Fav Column -->
      <ng-container matColumnDef="entryType">
        <mat-header-cell *matHeaderCellDef> entryType </mat-header-cell>
        <mat-cell *matCellDef="let element">
          <mat-form-field floatLabel="never">
            <mat-select
              [(value)]="element.entryType"
              [disabled]="journalEntryTransactionId"
              placeholder="entryType">
              <mat-option  value="CREDIT">credit</mat-option>
              <mat-option  value="DEBIT">debit</mat-option>
            </mat-select>
          </mat-form-field>
        </mat-cell>
      </ng-container>

      <mat-header-row *matHeaderRowDef="displayedColumns"></mat-header-row>
      <mat-row *matRowDef="let row; columns: displayedColumns;"></mat-row>

      <ng-container matColumnDef="button">
        <mat-header-cell *matHeaderCellDef></mat-header-cell>
        <mat-cell *matCellDef="let element; let i = index">
            <button *ngIf="!journalEntryTransactionId" mat-button matSuffix (click)="removeRow(i)">
                <mat-icon>delete</mat-icon>
            </button> 
        </mat-cell>
      </ng-container>
      
    </mat-table>
  
  </div>
  <mat-card-actions>
    <button (click)="createJe()" mat-flat-button color="primary" [disabled]="journalEntryTransactionId" *ngIf="!journalEntryTransactionId">Create</button>
  </mat-card-actions>
</div>

